Bug 203012 - security/keepassx2: update to 2.0-beta2
Summary: security/keepassx2: update to 2.0-beta2
Status: Closed DUPLICATE of bug 203913
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-10 13:08 UTC by Piotr Kubaj
Modified: 2015-10-24 20:01 UTC (History)
2 users (show)

See Also:
eric: maintainer-feedback+


Attachments
update to 2.0-beta2 (1.43 KB, text/plain)
2015-09-10 13:08 UTC, Piotr Kubaj
no flags Details
remove PKGNAMESUFFIX. (1.61 KB, patch)
2015-09-12 01:18 UTC, Eric Camachat
no flags Details | Diff
rename PKGNAME from KeePassX to keepassx (1.67 KB, patch)
2015-09-12 05:11 UTC, Eric Camachat
no flags Details | Diff
rename to keepassx2-*, fix name confliction to security/keepassx (1.78 KB, patch)
2015-09-14 00:24 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2015-09-10 13:08:49 UTC
Created attachment 160893 [details]
update to 2.0-beta2

security/keepassx2 port is currently at alpha 6 version, while there's already a 2nd beta. The attached diff (tested with poudriere) updates this port to 2.0-beta2 version.
Comment 1 Eric Camachat 2015-09-12 01:18:52 UTC
Created attachment 160944 [details]
remove PKGNAMESUFFIX.

remove PKGNAMESUFFIX to keep consist package name in future.
Comment 2 Eric Camachat 2015-09-12 03:24:51 UTC
note that: for upgrading, since I missed using PKGNAMESUFFIX, installed security/keepassx2 needs to be uninstalled and reinstall new security/keepassx2.
Comment 3 Piotr Kubaj freebsd_committer 2015-09-12 03:31:56 UTC
(In reply to Eric Camachat from comment #2)
Since you change name of the package anyway, you could also change KeePassX
 to keepassx2 to follow other ports. Also, I believe that if users need to manually deinstall the old version, there should be an UPDATING entry.
Comment 4 Eric Camachat 2015-09-12 05:11:46 UTC
Created attachment 160945 [details]
rename PKGNAME from KeePassX to keepassx
Comment 5 Eric Camachat 2015-09-12 05:13:43 UTC
(In reply to pkubaj from comment #3)
new patch uploaded, I think it's good to go.
Comment 6 Eric Camachat 2015-09-14 00:24:41 UTC
Created attachment 161030 [details]
rename to keepassx2-*, fix name confliction to security/keepassx
Comment 7 Eric Camachat 2015-09-19 06:27:31 UTC
Need a committer to check in this.
Comment 8 Eric Camachat 2015-10-21 20:02:26 UTC
It was committed, so I created the other bug for committing.
And the update had been committed in r399909 by Bug 203913.
Please mark duplicated with Bug 203913 as resolved.
Comment 9 Kurt Jaeger freebsd_committer 2015-10-24 20:01:05 UTC

*** This bug has been marked as a duplicate of bug 203913 ***